## scoreboard objectives add start_boxing dummy

execute if score start start_boxing matches 0..80 run scoreboard players add start start_boxing 1
execute if score respawn start_boxing matches 0..100 run scoreboard players add respawn start_boxing 1
execute if score start start_boxing matches 100..200 run scoreboard players add start start_boxing 1

execute if score start start_boxing matches 1 run scoreboard players set @a[x=28,y=30,z=119,dx=12,dy=3,dz=12,tag=!owner] start_boxing 0
execute if score start start_boxing matches 1 run setblock 34 31 125 air

execute if score start start_boxing matches 2 run scoreboard players set @r[x=28,y=30,z=119,dx=12,dy=3,dz=12,tag=!owner,scores={start_boxing=0},c=1] start_boxing 1
execute if score start start_boxing matches 2 run scoreboard players set @r[x=28,y=30,z=119,dx=12,dy=3,dz=12,tag=!owner,scores={start_boxing=0},c=1] start_boxing 2

execute if score start start_boxing matches 3 run tp @a[scores={start_boxing=1}] -5.0 32 95.0 -45 0
execute if score start start_boxing matches 3 run tp @a[scores={start_boxing=2}] 6.0 32 106.0 135 0

execute if score start start_boxing matches 5 run replaceitem entity @a[scores={start_boxing=1}] slot.armor.head 0 add:blue_boxing_equipment 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}
execute if score start start_boxing matches 5 run replaceitem entity @a[scores={start_boxing=2}] slot.armor.head 0 add:red_boxing_equipment 1 0 {"item_lock":{"mode":"lock_in_slot"},"keep_on_death":{}}

execute if score start start_boxing matches 20 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] title §l
execute if score start start_boxing matches 20 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] subtitle §l§7=§f3§7=
execute if score start start_boxing matches 20 run playsound note.hat @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner]

execute if score start start_boxing matches 40 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] title §l
execute if score start start_boxing matches 40 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] subtitle §l§7=§f2§7=
execute if score start start_boxing matches 40 run playsound note.hat @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner]

execute if score start start_boxing matches 60 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] title §l
execute if score start start_boxing matches 60 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] subtitle §l§7=§f1§7=
execute if score start start_boxing matches 60 run playsound note.hat @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner]

execute if score start start_boxing matches 80 run scoreboard players set round start_boxing 1
execute if score start start_boxing matches 80 run scoreboard players set @a[scores={start_boxing=1..2}] deaths 0
execute if score start start_boxing matches 80 run title @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86] title §cRound #1
execute if score start start_boxing matches 80 run playsound random.boxing_bell @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86]
execute if score start start_boxing matches 80 run fill -6 34 94 6 32 106 air
execute if score start start_boxing matches 80 run setblock 0 32 100 light_block 15

## respawn

execute if score respawn start_boxing matches 1 run structure load closed -6 32 94
execute if score respawn start_boxing matches 5 run tp @a[scores={start_boxing=1}] -5.0 32 95.0 -45 0
execute if score respawn start_boxing matches 5 run tp @a[scores={start_boxing=2}] 6.0 32 106.0 135 0

execute if score respawn start_boxing matches 40 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] title §l
execute if score respawn start_boxing matches 40 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] subtitle §l§7=§f3§7=
execute if score respawn start_boxing matches 40 run playsound note.hat @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner]

execute if score respawn start_boxing matches 60 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] title §l
execute if score respawn start_boxing matches 60 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] subtitle §l§7=§f2§7=
execute if score respawn start_boxing matches 60 run playsound note.hat @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner]

execute if score respawn start_boxing matches 80 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] title §l
execute if score respawn start_boxing matches 80 run title @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner] subtitle §l§7=§f1§7=
execute if score respawn start_boxing matches 80 run playsound note.hat @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner]

execute if score respawn start_boxing matches 100 run titleraw @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86] title {"rawtext":[{"translate":"translate.text.15"},{"score":{"name":"round","objective":"start_boxing"}}]}
execute if score respawn start_boxing matches 100 run playsound random.boxing_bell @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86]
execute if score respawn start_boxing matches 100 run fill -6 34 94 6 32 106 air
execute if score respawn start_boxing matches 100 run setblock 0 32 100 light_block 15

## reset

execute if score start start_boxing matches 101 run tellraw @a {"rawtext":[{"translate":"translate.text.4"},{"selector":"@a[tag=first_b,c=1]"},{"translate":"translate.text.21"}]}
execute if score start start_boxing matches 101 run playsound random.completed @a

execute if score start start_boxing matches 110 run particle add:firework_lime 7 42 100
execute if score start start_boxing matches 110 run playsound firework.large_blast @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86]

execute if score start start_boxing matches 125 run particle add:firework_lime -7 42 100
execute if score start start_boxing matches 125 run playsound firework.large_blast @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86]

execute if score start start_boxing matches 140 run particle add:firework_lime 0 42 105
execute if score start start_boxing matches 140 run playsound firework.large_blast @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86]

execute if score start start_boxing matches 155 run particle add:firework_lime 0 42 95
execute if score start start_boxing matches 155 run playsound firework.large_blast @a[x=-52,y=30,z=57,dx=104,dy=25,dz=86]

execute if score start start_boxing matches 170 run tp @a[tag=first_b] 0 37 -17 0 0
execute if score start start_boxing matches 170 run tp @a[x=-7,y=32,z=93,dx=14,dy=8,dz=14,tag=!owner,tag=!first_b] 6 36 -15 0 0
execute if score start start_boxing matches 170 run function games/boxing/reset